net.corda.client.mock

## Class EventGenerator

- net.corda.client.mock.EventGenerator

-     public class EventGenerator

  `class Generator`s for incoming/outgoing events to/from the WalletMonitorService. Internally it keeps track of owned state/ref pairs, but it doesn't necessarily generate "correct" events!

  See Also:
    `class Generator`, WalletMonitorService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventGenerator(java.util.List<net.corda.core.crypto.Party> parties, Party notary, java.util.List<java.util.Currency> currencies, java.util.List<net.corda.core.crypto.Party> issuers)` `class Generator`s for incoming/outgoing events to/from the WalletMonitorService. Internally it keeps track of owned state/ref pairs, but it doesn't necessarily generate "correct" events!

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Generator<net.corda.core.contracts.Amount>` | `getAmountGenerator()`
    `Generator<net.corda.core.contracts.Amount>` | `getAmountIssuedGenerator()`
    `Generator<net.corda.flows.CashFlowCommand.ExitCash>` | `getBankOfCordaExitGenerator()`
    `Generator<net.corda.flows.CashFlowCommand.IssueCash>` | `getBankOfCordaIssueGenerator()`
    `Generator<net.corda.core.contracts.StateAndRef>` | `getCashStateGenerator()`
    `Generator<net.corda.flows.CashFlowCommand.PayCash>` | `getClientCommandGenerator()`
    `Generator<java.util.Set>` | `getConsumedGenerator()`
    `java.util.List<java.util.Currency>` | `getCurrencies()`
    `Generator<java.util.Currency>` | `getCurrencyGenerator()`
    `Generator<net.corda.flows.CashFlowCommand.ExitCash>` | `getExitCashGenerator()`
    `Generator<net.corda.flows.CashFlowCommand.IssueCash>` | `getIssueCashGenerator()`
    `Generator<net.corda.core.serialization.OpaqueBytes>` | `getIssueRefGenerator()`
    `Generator<net.corda.core.contracts.Issued>` | `getIssuedGenerator()`
    `Generator<net.corda.core.contracts.PartyAndReference>` | `getIssuerGenerator()`
    `java.util.List<net.corda.core.crypto.Party>` | `getIssuers()`
    `Generator<net.corda.flows.CashFlowCommand.PayCash>` | `getMoveCashGenerator()`
    `Party` | `getNotary()`
    `java.util.List<net.corda.core.crypto.Party>` | `getParties()`
    `Generator<net.corda.core.crypto.Party>` | `getPartyGenerator()`
    `Generator<java.util.Set>` | `getProducedGenerator()`
    `Generator<net.corda.core.crypto.CompositeKey>` | `getPublicKeyGenerator()`

- - ### Constructor Detail

    - #### EventGenerator

          public EventGenerator(java.util.List<net.corda.core.crypto.Party> parties,
                                Party notary,
                                java.util.List<java.util.Currency> currencies,
                                java.util.List<net.corda.core.crypto.Party> issuers)

      `class Generator`s for incoming/outgoing events to/from the WalletMonitorService. Internally it keeps track of owned state/ref pairs, but it doesn't necessarily generate "correct" events!

      See Also:
        `class Generator`, WalletMonitorService

  - ### Method Detail

    - #### getIssuerGenerator

          public Generator<net.corda.core.contracts.PartyAndReference> getIssuerGenerator()

    - #### getCurrencyGenerator

          public Generator<java.util.Currency> getCurrencyGenerator()

    - #### getIssuedGenerator

          public Generator<net.corda.core.contracts.Issued> getIssuedGenerator()

    - #### getAmountIssuedGenerator

          public Generator<net.corda.core.contracts.Amount> getAmountIssuedGenerator()

    - #### getPublicKeyGenerator

          public Generator<net.corda.core.crypto.CompositeKey> getPublicKeyGenerator()

    - #### getPartyGenerator

          public Generator<net.corda.core.crypto.Party> getPartyGenerator()

    - #### getCashStateGenerator

          public Generator<net.corda.core.contracts.StateAndRef> getCashStateGenerator()

    - #### getConsumedGenerator

          public Generator<java.util.Set> getConsumedGenerator()

    - #### getProducedGenerator

          public Generator<java.util.Set> getProducedGenerator()

    - #### getIssueRefGenerator

          public Generator<net.corda.core.serialization.OpaqueBytes> getIssueRefGenerator()

    - #### getAmountGenerator

          public Generator<net.corda.core.contracts.Amount> getAmountGenerator()

    - #### getIssueCashGenerator

          public Generator<net.corda.flows.CashFlowCommand.IssueCash> getIssueCashGenerator()

    - #### getMoveCashGenerator

          public Generator<net.corda.flows.CashFlowCommand.PayCash> getMoveCashGenerator()

    - #### getExitCashGenerator

          public Generator<net.corda.flows.CashFlowCommand.ExitCash> getExitCashGenerator()

    - #### getClientCommandGenerator

          public Generator<net.corda.flows.CashFlowCommand.PayCash> getClientCommandGenerator()

    - #### getBankOfCordaExitGenerator

          public Generator<net.corda.flows.CashFlowCommand.ExitCash> getBankOfCordaExitGenerator()

    - #### getBankOfCordaIssueGenerator

          public Generator<net.corda.flows.CashFlowCommand.IssueCash> getBankOfCordaIssueGenerator()

    - #### getParties

          public java.util.List<net.corda.core.crypto.Party> getParties()

    - #### getNotary

          public Party getNotary()

    - #### getCurrencies

          public java.util.List<java.util.Currency> getCurrencies()

    - #### getIssuers

          public java.util.List<net.corda.core.crypto.Party> getIssuers()